
const api = {
  getGraph:'/api/ltkg/kg/getGraph',
  getNode:'/api/ltkg/kg/getNode',
  getSchema:'/api/ltkg/kg/getSchema',
  getTree:'/api/ltkg/kg/getTree'
}

const post = function (url, data) {
    return new Promise((resolve, reject) => {
      $.ajax({
        method: 'post',
        url: url,
        data: JSON.stringify(data),
        contentType: "application/json; charset=UTF-8",
        beforeSend: function (xmlHttp) {
          xmlHttp.setRequestHeader("If-Modified-Since", "0");
          xmlHttp.setRequestHeader("Cache-Control", "no-cache");
        },
        success: function (res) {
          resolve({ data: res });
        },
        error: function (error) {
          reject(error);
        },
      });
    });
}

module.exports ={
    post,
    api
}